Bug 225792 - Make org.netbeans.spi.editor.AbstractEditorAction public
Make org.netbeans.spi.editor.AbstractEditorAction public
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
7.3
PC Linux
: P2 (vote)
: 7.4
Assigned To: Miloslav Metelka
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 13:08 UTC by Miloslav Metelka
Modified: 2013-03-13 02:08 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Diff of making o.n.spi.editor package public (2.58 KB, patch)
2013-03-01 11:20 UTC, Miloslav Metelka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2013-02-06 13:08:17 UTC
AbstractEditorAciton is intended to be an ancestor of all new editor actions.
Compared to original BaseAction it features mainly a close integration with EditorActionRegistration annotation and integrated menu and toolbar presenters (which allows us to get rid of MainMenuAction completely).
Comment 1 Miloslav Metelka 2013-03-01 11:20:27 UTC
Created attachment 132059 [details]
Diff of making o.n.spi.editor package public
Comment 2 Miloslav Metelka 2013-03-01 11:25:19 UTC
I would like to ask for review of the proposed change - making o.n.spi.editor public which will make AbstractEditorAction public. The action has accompanying tests and it's already being actively used in editor.actions and editor.search modules.
Comment 3 Miloslav Metelka 2013-03-08 11:05:00 UTC
http://hg.netbeans.org/jet-main/rev/6f784dcc4317
Comment 4 Quality Engineering 2013-03-13 02:08:47 UTC
Integrated into 'main-golden', will be available in build *201303122300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6f784dcc4317
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #225792 - Make org.netbeans.spi.editor.AbstractEditorAction public.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo